> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Update your platform

PATCH https://test.api.solvimon.com/v{version}/platforms/{resourceId}
Content-Type: application/json

Requires the PLATFORM.DEFAULT_SETTINGS.EDIT, PRICING_PLAN_SUBSCRIPTION.DEFAULT_SETTINGS.EDIT, BRANDING.UPDATE or INVOICE.DEFAULT_SETTINGS.EDIT permission. Each field you set requires its own permission: reference, description, default_product_tax_category, crm_integrations, reporting_currency, default_pricing_currency, airbyte_workspace_id, quote_settings, rounding_settings, default_portal_url_settings, reprocessing_settings and processing_settings require PLATFORM.DEFAULT_SETTINGS.EDIT; default_pricing_plan_subscription_settings and default_billing_entity_id require PRICING_PLAN_SUBSCRIPTION.DEFAULT_SETTINGS.EDIT; branding requires BRANDING.UPDATE; invoice_settings requires INVOICE.DEFAULT_SETTINGS.EDIT.

Reference: https://docs.solvimon.com/api-docs/configuration-api/platforms/patch-platforms-by-resource-id

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version
- `resourceId` (string, required, default: ) — The ID of the resource to be requested.

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a PlatformUpdateRequest.

- `object_type` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (string, optional, nullable)
- `timezone` (string, optional, nullable)
- `description` (string, optional, nullable)
- `entity_id` (string, optional, nullable) — The resource ID of the entity.
- `default_billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity.
- `default_product_tax_category` (enum, optional) — The default tax category that will be applied to the product.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `account_group_id` (string, optional)
- `default_pricing_plan_subscription_settings` (PlatformPricingPlanSubscriptionSettingsUpdateRequest, optional) — The default configuration when creating a pricing plan subscription.
- `crm_integrations` (CrmIntegrationsUpdateRequest, optional) — The associated crm integrations
- `branding` (BrandingUpdateRequest, optional) — Custom branding for the platform, the logo & colors can be set
- `invoice_settings` (InvoiceSettingsUpdateRequest, optional) — The settings of the invoice
- `reporting_currency` (enum, optional) — currency for reporting on platform level
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `default_pricing_currency` (enum, optional) — initial/default currency when creating pricingPlanVersions
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `quote_settings` (QuoteSettingsUpdateRequest, optional) — The settings of the quote
- `rounding_settings` (list of RoundingSettingUpdateRequest, optional, nullable) — Allow platforms to configure rounding behavior for different kinds of objects.
- `reprocessing_settings` (ReprocessingSettingsUpdateRequest, optional) — Settings for reprocessing
- `processing_settings` (ProcessingSettingsUpdateRequest, optional) — Settings for processing
- `default_portal_url_settings` (DefaultPortalUrlSettingsUpdateRequest, optional) — The settings related with portal

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (string, optional, nullable)
- `timezone` (string, optional, nullable)
- `description` (string, optional, nullable)
- `entity_id` (string, optional, nullable) — The resource ID of the entity.
- `default_billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity.
- `default_product_tax_category` (enum, optional) — The default tax category that will be applied to the product.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `account_group_id` (string, optional)
- `default_pricing_plan_subscription_settings` (PlatformPricingPlanSubscriptionSettings, optional) — The default configuration when creating a pricing plan subscription.
- `crm_integrations` (CrmIntegrations, optional) — The associated crm integrations
- `branding` (Branding, optional) — Custom branding for the platform, the logo & colors can be set
- `invoice_settings` (InvoiceSettings, optional) — The settings of the invoice
- `reporting_currency` (enum, optional) — currency for reporting on platform level
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `default_pricing_currency` (enum, optional) — initial/default currency when creating pricingPlanVersions
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `quote_settings` (QuoteSettings, optional) — The settings of the quote
- `rounding_settings` (list of RoundingSetting, optional, nullable) — Allow platforms to configure rounding behavior for different kinds of objects.
- `reprocessing_settings` (ReprocessingSettings, optional) — Settings for reprocessing
- `processing_settings` (ProcessingSettings, optional) — Settings for processing
- `default_portal_url_settings` (DefaultPortalUrlSettings, optional) — The settings related with portal

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### PlatformPricingPlanSubscriptionSettingsUpdateRequest

- `billing_entity_id` (string, optional, nullable) — The default resource ID of the billing entity that is assigned to the subscription.
- `due_date_configuration` (DueDate, optional) — The default configuration for the due dates on invoices.
- `billing_period` (Period, optional)
- `billing_currency` (enum, optional) — The default alphabetic currency code representing the type of currency used for billing.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `billing_time` (enum, optional, nullable) — The default moment when the invoices for the subscription should be created.
  - Allowed values: `EXACT`, `CALENDAR`
- `combine` (boolean, optional, nullable) — The default value if invoices needs to be combined.
- `init_invoice_on_hold` (boolean, optional) — Should invoices be on hold by default.
- `payment_acceptor_ids` (list of string, optional, nullable) — the default resource ID(s) of the specific payment acceptors for the subscriptions
- `display_invoice_sub_lines_per_processing_only_customer` (boolean, optional, nullable) — The default setting to include sub lines to an invoice line for (child) customers
- `show_original_customer_invoice_line` (boolean, optional, nullable) — The default setting to show the invoice line per (child) customer (for FORWARD_BILLING)
- `replicate_meter_data_ingest_to_parent` (boolean, optional, nullable) — The default setting to the ingested meter data of a customer to the parent
- `initial_term` (Period, optional) — The default initial term for the agreement.
- `renewal_term` (Period, optional) — The default renewal term after the initial term.
- `auto_renewal` (boolean, optional, nullable) — The default value indicating if the subscription renews automatically.

### CrmIntegrationsUpdateRequest

- `hubspot` (HubspotIntegration, optional)

### BrandingUpdateRequest

- `colors` (Colors, optional) — The colors that are used in the branding
- `logo` (Image, optional) — The logo that is used in the branding
- `emblem` (Image, optional) — The emblem that is used in the branding
- `name` (string, optional) — The external facing name that is used in the branding
- `domain` (string, optional) — The custom domain that is used in the branding

### InvoiceSettingsUpdateRequest

- `invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the invoice number
- `credit_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the credit invoice number
- `self_billing_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the invoice number when invoice billing type is SELF_BILLING
- `self_billing_credit_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the credit invoice number when invoice billing type is SELF_BILLING
- `send_by_email` (DocumentActionSettings, optional) — The configuration of sending invoices by email after they are set to final status
- `export_to_erp` (DocumentActionSettings, optional) — The configuration of exporting invoices to an erp system after they are set to final status
- `invoice_date_determination_type` (enum, optional, nullable) — The configuration for determining the invoice date
  - Allowed values: `AT_END_OF_BILLING_PERIOD`, `AFTER_END_OF_BILLING_PERIOD`, `WHEN_INVOICE_GOES_TO_FINAL`
- `invoice_grace_period` (InvoiceGracePeriod, optional, nullable) — The configuration for determining the grace period
- `invoice_extra_open_period` (InvoiceExtraOpenPeriod, optional, nullable) — The configuration for determining the extra open period
- `footnote` (string, optional, nullable) — Footnote to be shown on the invoice
- `add_zero_meter_value_invoice_lines` (boolean, optional, nullable) — Indicate if zero meter value invoice lines must be added; default false

### QuoteSettingsUpdateRequest

- `quote_pdf_configuration` (QuotePDFConfiguration, optional) — The settings of the quote pdf

### RoundingSettingUpdateRequest

- `rounding_target` (enum, optional)
  - Allowed values: `INVOICE`, `COST_PREDICTION`
- `rounding_mode` (enum, optional)
  - Allowed values: `DEFAULT`, `UNROUNDED`

### ReprocessingSettingsUpdateRequest

- `default_delay` (ReprocessingDelay, optional)

### ProcessingSettingsUpdateRequest

- `put_after_invoice_final_on_next_invoice` (boolean, optional, nullable) — If enabled, moves usage to the next OPEN/DRAFT invoice when the matching invoice is already FINAL.

### DefaultPortalUrlSettingsUpdateRequest

- `customer` (PortalUrlSettings, optional)

### PlatformPricingPlanSubscriptionSettings

- `billing_entity_id` (string, optional, nullable) — The default resource ID of the billing entity that is assigned to the subscription.
- `due_date_configuration` (DueDate, optional) — The default configuration for the due dates on invoices.
- `billing_period` (Period, optional)
- `billing_currency` (enum, optional) — The default alphabetic currency code representing the type of currency used for billing.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `billing_time` (enum, optional, nullable) — The default moment when the invoices for the subscription should be created.
  - Allowed values: `EXACT`, `CALENDAR`
- `combine` (boolean, optional, nullable) — The default value if invoices needs to be combined.
- `init_invoice_on_hold` (boolean, optional) — Should invoices be on hold by default.
- `payment_acceptor_ids` (list of string, optional, nullable) — the default resource ID(s) of the specific payment acceptors for the subscriptions
- `display_invoice_sub_lines_per_processing_only_customer` (boolean, optional, nullable) — The default setting to include sub lines to an invoice line for (child) customers
- `show_original_customer_invoice_line` (boolean, optional, nullable) — The default setting to show the invoice line per (child) customer (for FORWARD_BILLING)
- `replicate_meter_data_ingest_to_parent` (boolean, optional, nullable) — The default setting to the ingested meter data of a customer to the parent
- `initial_term` (Period, optional) — The default initial term for the agreement.
- `renewal_term` (Period, optional) — The default renewal term after the initial term.
- `auto_renewal` (boolean, optional, nullable) — The default value indicating if the subscription renews automatically.

### CrmIntegrations

- `hubspot` (HubspotIntegration, optional)

### Branding

- `colors` (Colors, optional) — The colors that are used in the branding
- `logo` (Image, optional) — The logo that is used in the branding
- `emblem` (Image, optional) — The emblem that is used in the branding
- `name` (string, optional) — The external facing name that is used in the branding
- `domain` (string, optional) — The custom domain that is used in the branding

### InvoiceSettings

- `invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the invoice number
- `credit_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the credit invoice number
- `self_billing_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the invoice number when invoice billing type is SELF_BILLING
- `self_billing_credit_invoice_number_configuration` (DocumentNumberConfiguration, optional) — The configuration of the credit invoice number when invoice billing type is SELF_BILLING
- `send_by_email` (DocumentActionSettings, optional) — The configuration of sending invoices by email after they are set to final status
- `export_to_erp` (DocumentActionSettings, optional) — The configuration of exporting invoices to an erp system after they are set to final status
- `invoice_date_determination_type` (enum, optional, nullable) — The configuration for determining the invoice date
  - Allowed values: `AT_END_OF_BILLING_PERIOD`, `AFTER_END_OF_BILLING_PERIOD`, `WHEN_INVOICE_GOES_TO_FINAL`
- `invoice_grace_period` (InvoiceGracePeriod, optional, nullable) — The configuration for determining the grace period
- `invoice_extra_open_period` (InvoiceExtraOpenPeriod, optional, nullable) — The configuration for determining the extra open period
- `footnote` (string, optional, nullable) — Footnote to be shown on the invoice
- `add_zero_meter_value_invoice_lines` (boolean, optional, nullable) — Indicate if zero meter value invoice lines must be added; default false

### QuoteSettings

- `quote_pdf_configuration` (QuotePDFConfiguration, optional) — The settings of the quote pdf

### RoundingSetting

- `rounding_target` (enum, optional)
  - Allowed values: `INVOICE`, `COST_PREDICTION`
- `rounding_mode` (enum, optional)
  - Allowed values: `DEFAULT`, `UNROUNDED`

### ReprocessingSettings

- `default_delay` (ReprocessingDelay, optional)

### ProcessingSettings

- `put_after_invoice_final_on_next_invoice` (boolean, optional, nullable) — If enabled, moves usage to the next OPEN/DRAFT invoice when the matching invoice is already FINAL.

### DefaultPortalUrlSettings

- `customer` (PortalUrlSettings, optional)

### DueDate

- `type` (enum, optional, nullable)
  - Allowed values: `PERIOD_AFTER_INVOICE_DATE`, `END_OF_THE_MONTH`
- `period` (Period, optional)

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### HubspotIntegration

- `portal_id` (string, optional, nullable)

### Colors

- `primary` (string, optional, nullable) — Color code for the primary color. Must be a valid HEX triplet, starting with #
- `secondary` (string, optional, nullable) — Color code for the secondary color. Must be a valid HEX triplet, starting with #

### Image

- `file_name` (string, optional) — The name of the image, e.g my-logo.jpg
- `content_type` (string, optional) — Content type of the image, either image/jpeg, image/svg, image/png or image/webp
- `content` (string, optional) — The image, encoded as Base64 string, maximum fileSize 10MB
- `public_url` (string, optional, nullable) — URL where the uploaded logo can be found

### DocumentNumberConfiguration

- `prefix` (string, optional)
- `dynamic_prefix` (list of string, optional)
- `separator` (string, optional)
- `increment_by` (integer, optional)
- `first_number` (integer, optional)
- `minimum_number_of_digits` (integer, optional)
- `reset_period` (DocumentNumberConfigurationResetPeriod, optional)

### DocumentActionSettings

- `trigger_type` (enum, optional, nullable)
  - Allowed values: `MANUAL`, `AUTOMATIC`

### InvoiceGracePeriod

- `type` (string, optional, nullable)
- `configuration` (InvoiceGracePeriodConfiguration, optional)

### InvoiceExtraOpenPeriod

- `value` (integer, optional, nullable)
- `type` (string, optional, nullable)

### QuotePDFConfiguration

- `display_customer_details` (boolean, optional, nullable) — The setting to determine whether customer details should be shown
- `display_billing_entity_details` (boolean, optional, nullable) — The setting to determine whether billing entity details should be shown

### ReprocessingDelay

- `type` (enum, optional)
  - Allowed values: `SECOND`, `MINUTE`, `HOUR`
- `value` (long, optional)

### PortalUrlSettings

- `expiry_period` (Period, optional)

### DocumentNumberConfigurationResetPeriod

- `type` (string, optional)
- `month` (enum, optional, nullable)
  - Allowed values: `JANUARY`, `FEBRUARY`, `MARCH`, `APRIL`, `MAY`, `JUNE`, `JULY`, `AUGUST`, `SEPTEMBER`, `OCTOBER`, `NOVEMBER`, `DECEMBER`

### InvoiceGracePeriodConfiguration

- `value` (integer, optional, nullable)
- `type` (string, optional, nullable)

## Examples

**Request**

```json
{
  "reference": "lumen_ai",
  "status": "ACTIVE",
  "timezone": "Europe/Amsterdam",
  "description": "Lumen AI production billing",
  "default_product_tax_category": "STANDARD",
  "default_pricing_plan_subscription_settings": {
    "billing_entity_id": "bile_iwDeeN0vxxHxNDCUNS1G",
    "due_date_configuration": {
      "type": "PERIOD_AFTER_INVOICE_DATE",
      "period": {
        "type": "DAY",
        "value": 14
      }
    },
    "billing_period": {
      "type": "MONTH",
      "value": 1
    },
    "billing_currency": "EUR",
    "billing_time": "CALENDAR",
    "combine": true,
    "init_invoice_on_hold": false,
    "payment_acceptor_ids": [
      "paya_TwDeeN0vxxHyl9COvu1H",
      "paya_twDeeN0vxxHyldCKvk1w"
    ]
  },
  "branding": {
    "colors": {
      "primary": "#1F2A44",
      "secondary": "#F5A524"
    },
    "logo": {
      "file_name": "lumen-ai-logo.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    },
    "emblem": {
      "file_name": "lumen-ai-emblem.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    },
    "name": "Lumen AI",
    "domain": "billing.lumen-ai.example.com"
  },
  "invoice_settings": {
    "invoice_date_determination_type": "AFTER_END_OF_BILLING_PERIOD"
  },
  "reporting_currency": "EUR",
  "default_pricing_currency": "EUR"
}
```

**Response**

```json
{
  "object_type": "string",
  "created_at": "string",
  "id": "string",
  "reference": "string",
  "status": "string",
  "timezone": "string",
  "description": "string",
  "entity_id": "string",
  "default_billing_entity_id": "string",
  "default_product_tax_category": "STANDARD",
  "account_group_id": "string",
  "default_pricing_plan_subscription_settings": {
    "billing_entity_id": "string",
    "due_date_configuration": {
      "type": "PERIOD_AFTER_INVOICE_DATE",
      "period": {
        "type": "DAY",
        "value": 1
      }
    },
    "billing_period": {
      "type": "DAY",
      "value": 1
    },
    "billing_currency": "AED",
    "billing_time": "EXACT",
    "combine": true,
    "init_invoice_on_hold": true,
    "payment_acceptor_ids": [
      "string"
    ],
    "display_invoice_sub_lines_per_processing_only_customer": true,
    "show_original_customer_invoice_line": true,
    "replicate_meter_data_ingest_to_parent": true,
    "initial_term": {
      "type": "DAY",
      "value": 1
    },
    "renewal_term": {
      "type": "DAY",
      "value": 1
    },
    "auto_renewal": true
  },
  "crm_integrations": {
    "hubspot": {
      "portal_id": "string"
    }
  },
  "branding": {
    "colors": {
      "primary": "string",
      "secondary": "string"
    },
    "logo": {
      "file_name": "string",
      "content_type": "string",
      "public_url": "string"
    },
    "emblem": {
      "file_name": "string",
      "content_type": "string",
      "public_url": "string"
    },
    "name": "string",
    "domain": "string"
  },
  "invoice_settings": {
    "invoice_number_configuration": {
      "prefix": "string",
      "dynamic_prefix": [
        "string"
      ],
      "separator": "string",
      "increment_by": 1,
      "first_number": 1,
      "minimum_number_of_digits": 1,
      "reset_period": {
        "type": "string",
        "month": "JANUARY"
      }
    },
    "credit_invoice_number_configuration": {
      "prefix": "string",
      "dynamic_prefix": [
        "string"
      ],
      "separator": "string",
      "increment_by": 1,
      "first_number": 1,
      "minimum_number_of_digits": 1,
      "reset_period": {
        "type": "string",
        "month": "JANUARY"
      }
    },
    "self_billing_invoice_number_configuration": {
      "prefix": "string",
      "dynamic_prefix": [
        "string"
      ],
      "separator": "string",
      "increment_by": 1,
      "first_number": 1,
      "minimum_number_of_digits": 1,
      "reset_period": {
        "type": "string",
        "month": "JANUARY"
      }
    },
    "self_billing_credit_invoice_number_configuration": {
      "prefix": "string",
      "dynamic_prefix": [
        "string"
      ],
      "separator": "string",
      "increment_by": 1,
      "first_number": 1,
      "minimum_number_of_digits": 1,
      "reset_period": {
        "type": "string",
        "month": "JANUARY"
      }
    },
    "send_by_email": {
      "trigger_type": "MANUAL"
    },
    "export_to_erp": {
      "trigger_type": "MANUAL"
    },
    "invoice_date_determination_type": "AT_END_OF_BILLING_PERIOD",
    "invoice_grace_period": {
      "type": "string",
      "configuration": {
        "value": 1,
        "type": "string"
      }
    },
    "invoice_extra_open_period": {
      "value": 1,
      "type": "string"
    },
    "footnote": "string",
    "add_zero_meter_value_invoice_lines": true
  },
  "reporting_currency": "AED",
  "default_pricing_currency": "AED",
  "quote_settings": {
    "quote_pdf_configuration": {
      "display_customer_details": true,
      "display_billing_entity_details": true
    }
  },
  "rounding_settings": [
    {
      "rounding_target": "INVOICE",
      "rounding_mode": "DEFAULT"
    }
  ],
  "reprocessing_settings": {
    "default_delay": {
      "type": "SECOND",
      "value": 1
    }
  },
  "processing_settings": {
    "put_after_invoice_final_on_next_invoice": true
  },
  "default_portal_url_settings": {
    "customer": {
      "expiry_period": {
        "type": "DAY",
        "value": 1
      }
    }
  }
}
```

**SDK Code**

```python Platforms_patchPlatformsByResourceId_example
import requests

url = "https://test.api.solvimon.com/v1/platforms/:resourceId"

payload = {
    "reference": "lumen_ai",
    "status": "ACTIVE",
    "timezone": "Europe/Amsterdam",
    "description": "Lumen AI production billing",
    "default_product_tax_category": "STANDARD",
    "default_pricing_plan_subscription_settings": {
        "billing_entity_id": "bile_iwDeeN0vxxHxNDCUNS1G",
        "due_date_configuration": {
            "type": "PERIOD_AFTER_INVOICE_DATE",
            "period": {
                "type": "DAY",
                "value": 14
            }
        },
        "billing_period": {
            "type": "MONTH",
            "value": 1
        },
        "billing_currency": "EUR",
        "billing_time": "CALENDAR",
        "combine": True,
        "init_invoice_on_hold": False,
        "payment_acceptor_ids": ["paya_TwDeeN0vxxHyl9COvu1H", "paya_twDeeN0vxxHyldCKvk1w"]
    },
    "branding": {
        "colors": {
            "primary": "#1F2A44",
            "secondary": "#F5A524"
        },
        "logo": {
            "file_name": "lumen-ai-logo.png",
            "content_type": "image/png",
            "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
        },
        "emblem": {
            "file_name": "lumen-ai-emblem.png",
            "content_type": "image/png",
            "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
        },
        "name": "Lumen AI",
        "domain": "billing.lumen-ai.example.com"
    },
    "invoice_settings": { "invoice_date_determination_type": "AFTER_END_OF_BILLING_PERIOD" },
    "reporting_currency": "EUR",
    "default_pricing_currency": "EUR"
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Platforms_patchPlatformsByResourceId_example
const url = 'https://test.api.solvimon.com/v1/platforms/:resourceId';
const options = {
  method: 'PATCH',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"reference":"lumen_ai","status":"ACTIVE","timezone":"Europe/Amsterdam","description":"Lumen AI production billing","default_product_tax_category":"STANDARD","default_pricing_plan_subscription_settings":{"billing_entity_id":"bile_iwDeeN0vxxHxNDCUNS1G","due_date_configuration":{"type":"PERIOD_AFTER_INVOICE_DATE","period":{"type":"DAY","value":14}},"billing_period":{"type":"MONTH","value":1},"billing_currency":"EUR","billing_time":"CALENDAR","combine":true,"init_invoice_on_hold":false,"payment_acceptor_ids":["paya_TwDeeN0vxxHyl9COvu1H","paya_twDeeN0vxxHyldCKvk1w"]},"branding":{"colors":{"primary":"#1F2A44","secondary":"#F5A524"},"logo":{"file_name":"lumen-ai-logo.png","content_type":"image/png","content":"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="},"emblem":{"file_name":"lumen-ai-emblem.png","content_type":"image/png","content":"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="},"name":"Lumen AI","domain":"billing.lumen-ai.example.com"},"invoice_settings":{"invoice_date_determination_type":"AFTER_END_OF_BILLING_PERIOD"},"reporting_currency":"EUR","default_pricing_currency":"EUR"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Platforms_patchPlatformsByResourceId_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/platforms/:resourceId"

	payload := strings.NewReader("{\n  \"reference\": \"lumen_ai\",\n  \"status\": \"ACTIVE\",\n  \"timezone\": \"Europe/Amsterdam\",\n  \"description\": \"Lumen AI production billing\",\n  \"default_product_tax_category\": \"STANDARD\",\n  \"default_pricing_plan_subscription_settings\": {\n    \"billing_entity_id\": \"bile_iwDeeN0vxxHxNDCUNS1G\",\n    \"due_date_configuration\": {\n      \"type\": \"PERIOD_AFTER_INVOICE_DATE\",\n      \"period\": {\n        \"type\": \"DAY\",\n        \"value\": 14\n      }\n    },\n    \"billing_period\": {\n      \"type\": \"MONTH\",\n      \"value\": 1\n    },\n    \"billing_currency\": \"EUR\",\n    \"billing_time\": \"CALENDAR\",\n    \"combine\": true,\n    \"init_invoice_on_hold\": false,\n    \"payment_acceptor_ids\": [\n      \"paya_TwDeeN0vxxHyl9COvu1H\",\n      \"paya_twDeeN0vxxHyldCKvk1w\"\n    ]\n  },\n  \"branding\": {\n    \"colors\": {\n      \"primary\": \"#1F2A44\",\n      \"secondary\": \"#F5A524\"\n    },\n    \"logo\": {\n      \"file_name\": \"lumen-ai-logo.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"emblem\": {\n      \"file_name\": \"lumen-ai-emblem.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"name\": \"Lumen AI\",\n    \"domain\": \"billing.lumen-ai.example.com\"\n  },\n  \"invoice_settings\": {\n    \"invoice_date_determination_type\": \"AFTER_END_OF_BILLING_PERIOD\"\n  },\n  \"reporting_currency\": \"EUR\",\n  \"default_pricing_currency\": \"EUR\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Platforms_patchPlatformsByResourceId_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/platforms/:resourceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reference\": \"lumen_ai\",\n  \"status\": \"ACTIVE\",\n  \"timezone\": \"Europe/Amsterdam\",\n  \"description\": \"Lumen AI production billing\",\n  \"default_product_tax_category\": \"STANDARD\",\n  \"default_pricing_plan_subscription_settings\": {\n    \"billing_entity_id\": \"bile_iwDeeN0vxxHxNDCUNS1G\",\n    \"due_date_configuration\": {\n      \"type\": \"PERIOD_AFTER_INVOICE_DATE\",\n      \"period\": {\n        \"type\": \"DAY\",\n        \"value\": 14\n      }\n    },\n    \"billing_period\": {\n      \"type\": \"MONTH\",\n      \"value\": 1\n    },\n    \"billing_currency\": \"EUR\",\n    \"billing_time\": \"CALENDAR\",\n    \"combine\": true,\n    \"init_invoice_on_hold\": false,\n    \"payment_acceptor_ids\": [\n      \"paya_TwDeeN0vxxHyl9COvu1H\",\n      \"paya_twDeeN0vxxHyldCKvk1w\"\n    ]\n  },\n  \"branding\": {\n    \"colors\": {\n      \"primary\": \"#1F2A44\",\n      \"secondary\": \"#F5A524\"\n    },\n    \"logo\": {\n      \"file_name\": \"lumen-ai-logo.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"emblem\": {\n      \"file_name\": \"lumen-ai-emblem.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"name\": \"Lumen AI\",\n    \"domain\": \"billing.lumen-ai.example.com\"\n  },\n  \"invoice_settings\": {\n    \"invoice_date_determination_type\": \"AFTER_END_OF_BILLING_PERIOD\"\n  },\n  \"reporting_currency\": \"EUR\",\n  \"default_pricing_currency\": \"EUR\"\n}"

response = http.request(request)
puts response.read_body
```

```java Platforms_patchPlatformsByResourceId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://test.api.solvimon.com/v1/platforms/:resourceId")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"reference\": \"lumen_ai\",\n  \"status\": \"ACTIVE\",\n  \"timezone\": \"Europe/Amsterdam\",\n  \"description\": \"Lumen AI production billing\",\n  \"default_product_tax_category\": \"STANDARD\",\n  \"default_pricing_plan_subscription_settings\": {\n    \"billing_entity_id\": \"bile_iwDeeN0vxxHxNDCUNS1G\",\n    \"due_date_configuration\": {\n      \"type\": \"PERIOD_AFTER_INVOICE_DATE\",\n      \"period\": {\n        \"type\": \"DAY\",\n        \"value\": 14\n      }\n    },\n    \"billing_period\": {\n      \"type\": \"MONTH\",\n      \"value\": 1\n    },\n    \"billing_currency\": \"EUR\",\n    \"billing_time\": \"CALENDAR\",\n    \"combine\": true,\n    \"init_invoice_on_hold\": false,\n    \"payment_acceptor_ids\": [\n      \"paya_TwDeeN0vxxHyl9COvu1H\",\n      \"paya_twDeeN0vxxHyldCKvk1w\"\n    ]\n  },\n  \"branding\": {\n    \"colors\": {\n      \"primary\": \"#1F2A44\",\n      \"secondary\": \"#F5A524\"\n    },\n    \"logo\": {\n      \"file_name\": \"lumen-ai-logo.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"emblem\": {\n      \"file_name\": \"lumen-ai-emblem.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"name\": \"Lumen AI\",\n    \"domain\": \"billing.lumen-ai.example.com\"\n  },\n  \"invoice_settings\": {\n    \"invoice_date_determination_type\": \"AFTER_END_OF_BILLING_PERIOD\"\n  },\n  \"reporting_currency\": \"EUR\",\n  \"default_pricing_currency\": \"EUR\"\n}")
  .asString();
```

```php Platforms_patchPlatformsByResourceId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://test.api.solvimon.com/v1/platforms/:resourceId', [
  'body' => '{
  "reference": "lumen_ai",
  "status": "ACTIVE",
  "timezone": "Europe/Amsterdam",
  "description": "Lumen AI production billing",
  "default_product_tax_category": "STANDARD",
  "default_pricing_plan_subscription_settings": {
    "billing_entity_id": "bile_iwDeeN0vxxHxNDCUNS1G",
    "due_date_configuration": {
      "type": "PERIOD_AFTER_INVOICE_DATE",
      "period": {
        "type": "DAY",
        "value": 14
      }
    },
    "billing_period": {
      "type": "MONTH",
      "value": 1
    },
    "billing_currency": "EUR",
    "billing_time": "CALENDAR",
    "combine": true,
    "init_invoice_on_hold": false,
    "payment_acceptor_ids": [
      "paya_TwDeeN0vxxHyl9COvu1H",
      "paya_twDeeN0vxxHyldCKvk1w"
    ]
  },
  "branding": {
    "colors": {
      "primary": "#1F2A44",
      "secondary": "#F5A524"
    },
    "logo": {
      "file_name": "lumen-ai-logo.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    },
    "emblem": {
      "file_name": "lumen-ai-emblem.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    },
    "name": "Lumen AI",
    "domain": "billing.lumen-ai.example.com"
  },
  "invoice_settings": {
    "invoice_date_determination_type": "AFTER_END_OF_BILLING_PERIOD"
  },
  "reporting_currency": "EUR",
  "default_pricing_currency": "EUR"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Platforms_patchPlatformsByResourceId_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/platforms/:resourceId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reference\": \"lumen_ai\",\n  \"status\": \"ACTIVE\",\n  \"timezone\": \"Europe/Amsterdam\",\n  \"description\": \"Lumen AI production billing\",\n  \"default_product_tax_category\": \"STANDARD\",\n  \"default_pricing_plan_subscription_settings\": {\n    \"billing_entity_id\": \"bile_iwDeeN0vxxHxNDCUNS1G\",\n    \"due_date_configuration\": {\n      \"type\": \"PERIOD_AFTER_INVOICE_DATE\",\n      \"period\": {\n        \"type\": \"DAY\",\n        \"value\": 14\n      }\n    },\n    \"billing_period\": {\n      \"type\": \"MONTH\",\n      \"value\": 1\n    },\n    \"billing_currency\": \"EUR\",\n    \"billing_time\": \"CALENDAR\",\n    \"combine\": true,\n    \"init_invoice_on_hold\": false,\n    \"payment_acceptor_ids\": [\n      \"paya_TwDeeN0vxxHyl9COvu1H\",\n      \"paya_twDeeN0vxxHyldCKvk1w\"\n    ]\n  },\n  \"branding\": {\n    \"colors\": {\n      \"primary\": \"#1F2A44\",\n      \"secondary\": \"#F5A524\"\n    },\n    \"logo\": {\n      \"file_name\": \"lumen-ai-logo.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"emblem\": {\n      \"file_name\": \"lumen-ai-emblem.png\",\n      \"content_type\": \"image/png\",\n      \"content\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg==\"\n    },\n    \"name\": \"Lumen AI\",\n    \"domain\": \"billing.lumen-ai.example.com\"\n  },\n  \"invoice_settings\": {\n    \"invoice_date_determination_type\": \"AFTER_END_OF_BILLING_PERIOD\"\n  },\n  \"reporting_currency\": \"EUR\",\n  \"default_pricing_currency\": \"EUR\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Platforms_patchPlatformsByResourceId_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "reference": "lumen_ai",
  "status": "ACTIVE",
  "timezone": "Europe/Amsterdam",
  "description": "Lumen AI production billing",
  "default_product_tax_category": "STANDARD",
  "default_pricing_plan_subscription_settings": [
    "billing_entity_id": "bile_iwDeeN0vxxHxNDCUNS1G",
    "due_date_configuration": [
      "type": "PERIOD_AFTER_INVOICE_DATE",
      "period": [
        "type": "DAY",
        "value": 14
      ]
    ],
    "billing_period": [
      "type": "MONTH",
      "value": 1
    ],
    "billing_currency": "EUR",
    "billing_time": "CALENDAR",
    "combine": true,
    "init_invoice_on_hold": false,
    "payment_acceptor_ids": ["paya_TwDeeN0vxxHyl9COvu1H", "paya_twDeeN0vxxHyldCKvk1w"]
  ],
  "branding": [
    "colors": [
      "primary": "#1F2A44",
      "secondary": "#F5A524"
    ],
    "logo": [
      "file_name": "lumen-ai-logo.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    ],
    "emblem": [
      "file_name": "lumen-ai-emblem.png",
      "content_type": "image/png",
      "content": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNkYPhfDwAChwGA60e6kgAAAABJRU5ErkJggg=="
    ],
    "name": "Lumen AI",
    "domain": "billing.lumen-ai.example.com"
  ],
  "invoice_settings": ["invoice_date_determination_type": "AFTER_END_OF_BILLING_PERIOD"],
  "reporting_currency": "EUR",
  "default_pricing_currency": "EUR"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/platforms/:resourceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```